curl --request POST \
--url https://api.bizconnectpay.com/api/v1/payment-links \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": "12500",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"max_uses": 1,
"expires_at": "2026-10-31T23:59:59Z",
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failed",
"metadata": {"client_reference": "INV-2026-1008"}
}'
{
"amount": "12500",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"max_uses": 1,
"expires_at": "2026-10-31T23:59:59Z",
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failed",
"metadata": {
"client_reference": "INV-2026-1008"
}
}
{
"success": true,
"data": {
"id": "b80736cf-514a-462b-b110-b04c6031b64a",
"reference": "BCP-LNK-01JACC0N",
"amount": "12500.0000",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"status": "ACTIVE",
"max_uses": 1,
"use_count": 0,
"checkout_url": "https://pay.bizconnectpay.com/link/0PKOW1IM14",
"expires_at": "2026-10-31T23:59:59.000000Z",
"created_at": "2026-10-20T13:30:00.000000Z"
},
"meta": {
"correlation_id": "b39b6c1d-d682-4f61-8839-93b8a9bd76e7"
}
}
Liens de paiement
Créer un lien de paiement
Créez une page de paiement hébergée par BizConnectPay.
POST
/
payment-links
curl --request POST \
--url https://api.bizconnectpay.com/api/v1/payment-links \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": "12500",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"max_uses": 1,
"expires_at": "2026-10-31T23:59:59Z",
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failed",
"metadata": {"client_reference": "INV-2026-1008"}
}'
{
"amount": "12500",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"max_uses": 1,
"expires_at": "2026-10-31T23:59:59Z",
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failed",
"metadata": {
"client_reference": "INV-2026-1008"
}
}
{
"success": true,
"data": {
"id": "b80736cf-514a-462b-b110-b04c6031b64a",
"reference": "BCP-LNK-01JACC0N",
"amount": "12500.0000",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"status": "ACTIVE",
"max_uses": 1,
"use_count": 0,
"checkout_url": "https://pay.bizconnectpay.com/link/0PKOW1IM14",
"expires_at": "2026-10-31T23:59:59.000000Z",
"created_at": "2026-10-20T13:30:00.000000Z"
},
"meta": {
"correlation_id": "b39b6c1d-d682-4f61-8839-93b8a9bd76e7"
}
}
Cet endpoint est réservé aux comptes
BUSINESS dont le KYB est approuvé.
curl --request POST \
--url https://api.bizconnectpay.com/api/v1/payment-links \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": "12500",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"max_uses": 1,
"expires_at": "2026-10-31T23:59:59Z",
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failed",
"metadata": {"client_reference": "INV-2026-1008"}
}'
{
"amount": "12500",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"max_uses": 1,
"expires_at": "2026-10-31T23:59:59Z",
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failed",
"metadata": {
"client_reference": "INV-2026-1008"
}
}
{
"success": true,
"data": {
"id": "b80736cf-514a-462b-b110-b04c6031b64a",
"reference": "BCP-LNK-01JACC0N",
"amount": "12500.0000",
"currency": "XAF",
"country": "CM",
"description": "Facture octobre",
"status": "ACTIVE",
"max_uses": 1,
"use_count": 0,
"checkout_url": "https://pay.bizconnectpay.com/link/0PKOW1IM14",
"expires_at": "2026-10-31T23:59:59.000000Z",
"created_at": "2026-10-20T13:30:00.000000Z"
},
"meta": {
"correlation_id": "b39b6c1d-d682-4f61-8839-93b8a9bd76e7"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Montant à collecter, avec au plus quatre décimales.
Required string length:
2Example:
"CM"
Required string length:
3Example:
"XAF"
Maximum string length:
1000Date d'expiration future au format ISO 8601.
Maximum string length:
2048Required range:
x >= 1Maximum string length:
2048